net.sourceforge.pmd.lang.java.ast

## Interface JavaParserConstants

- All Known Implementing Classes:
    JavaParser, JavaParserTokenManager

      public interface JavaParserConstants

  Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `_DEFAULT` RegularExpression Id.
    `static int` | `ABSTRACT` RegularExpression Id.
    `static int` | `ANDASSIGN` RegularExpression Id.
    `static int` | `ASSIGN` RegularExpression Id.
    `static int` | `AT` RegularExpression Id.
    `static int` | `BANG` RegularExpression Id.
    `static int` | `BINARY_LITERAL` RegularExpression Id.
    `static int` | `BIT_AND` RegularExpression Id.
    `static int` | `BIT_OR` RegularExpression Id.
    `static int` | `BOOLEAN` RegularExpression Id.
    `static int` | `BREAK` RegularExpression Id.
    `static int` | `BYTE` RegularExpression Id.
    `static int` | `CASE` RegularExpression Id.
    `static int` | `CATCH` RegularExpression Id.
    `static int` | `CHAR` RegularExpression Id.
    `static int` | `CHARACTER_LITERAL` RegularExpression Id.
    `static int` | `CLASS` RegularExpression Id.
    `static int` | `COLON` RegularExpression Id.
    `static int` | `COMMA` RegularExpression Id.
    `static int` | `CONST` RegularExpression Id.
    `static int` | `CONTINUE` RegularExpression Id.
    `static int` | `DECIMAL_LITERAL` RegularExpression Id.
    `static int` | `DECR` RegularExpression Id.
    `static int` | `DEFAULT` Lexical state.
    `static int` | `DO` RegularExpression Id.
    `static int` | `DOT` RegularExpression Id.
    `static int` | `DOUBLE` RegularExpression Id.
    `static int` | `ELLIPSIS` RegularExpression Id.
    `static int` | `ELSE` RegularExpression Id.
    `static int` | `EOF` End of File.
    `static int` | `EQ` RegularExpression Id.
    `static int` | `EXPONENT` RegularExpression Id.
    `static int` | `EXTENDS` RegularExpression Id.
    `static int` | `FALSE` RegularExpression Id.
    `static int` | `FINAL` RegularExpression Id.
    `static int` | `FINALLY` RegularExpression Id.
    `static int` | `FLOAT` RegularExpression Id.
    `static int` | `FLOATING_POINT_LITERAL` RegularExpression Id.
    `static int` | `FOR` RegularExpression Id.
    `static int` | `FORMAL_COMMENT` RegularExpression Id.
    `static int` | `GE` RegularExpression Id.
    `static int` | `GOTO` RegularExpression Id.
    `static int` | `GT` RegularExpression Id.
    `static int` | `HEX_FLOATING_POINT_LITERAL` RegularExpression Id.
    `static int` | `HEX_LITERAL` RegularExpression Id.
    `static int` | `HOOK` RegularExpression Id.
    `static int` | `IDENTIFIER` RegularExpression Id.
    `static int` | `IF` RegularExpression Id.
    `static int` | `IMPLEMENTS` RegularExpression Id.
    `static int` | `IMPORT` RegularExpression Id.
    `static int` | `IN_FORMAL_COMMENT` Lexical state.
    `static int` | `IN_MULTI_LINE_COMMENT` Lexical state.
    `static int` | `INCR` RegularExpression Id.
    `static int` | `INSTANCEOF` RegularExpression Id.
    `static int` | `INT` RegularExpression Id.
    `static int` | `INTEGER_LITERAL` RegularExpression Id.
    `static int` | `INTERFACE` RegularExpression Id.
    `static int` | `LBRACE` RegularExpression Id.
    `static int` | `LBRACKET` RegularExpression Id.
    `static int` | `LE` RegularExpression Id.
    `static int` | `LETTER` RegularExpression Id.
    `static int` | `LONG` RegularExpression Id.
    `static int` | `LPAREN` RegularExpression Id.
    `static int` | `LSHIFT` RegularExpression Id.
    `static int` | `LSHIFTASSIGN` RegularExpression Id.
    `static int` | `LT` RegularExpression Id.
    `static int` | `MINUS` RegularExpression Id.
    `static int` | `MINUSASSIGN` RegularExpression Id.
    `static int` | `MULTI_LINE_COMMENT` RegularExpression Id.
    `static int` | `NATIVE` RegularExpression Id.
    `static int` | `NE` RegularExpression Id.
    `static int` | `NEW` RegularExpression Id.
    `static int` | `NULL` RegularExpression Id.
    `static int` | `OCTAL_LITERAL` RegularExpression Id.
    `static int` | `ORASSIGN` RegularExpression Id.
    `static int` | `PACKAGE` RegularExpression Id.
    `static int` | `PART_LETTER` RegularExpression Id.
    `static int` | `PLUS` RegularExpression Id.
    `static int` | `PLUSASSIGN` RegularExpression Id.
    `static int` | `PRIVATE` RegularExpression Id.
    `static int` | `PROTECTED` RegularExpression Id.
    `static int` | `PUBLIC` RegularExpression Id.
    `static int` | `RBRACE` RegularExpression Id.
    `static int` | `RBRACKET` RegularExpression Id.
    `static int` | `REM` RegularExpression Id.
    `static int` | `REMASSIGN` RegularExpression Id.
    `static int` | `RETURN` RegularExpression Id.
    `static int` | `RPAREN` RegularExpression Id.
    `static int` | `RSIGNEDSHIFT` RegularExpression Id.
    `static int` | `RSIGNEDSHIFTASSIGN` RegularExpression Id.
    `static int` | `RUNSIGNEDSHIFT` RegularExpression Id.
    `static int` | `RUNSIGNEDSHIFTASSIGN` RegularExpression Id.
    `static int` | `SC_AND` RegularExpression Id.
    `static int` | `SC_OR` RegularExpression Id.
    `static int` | `SEMICOLON` RegularExpression Id.
    `static int` | `SHORT` RegularExpression Id.
    `static int` | `SINGLE_LINE_COMMENT` RegularExpression Id.
    `static int` | `SLASH` RegularExpression Id.
    `static int` | `SLASHASSIGN` RegularExpression Id.
    `static int` | `STAR` RegularExpression Id.
    `static int` | `STARASSIGN` RegularExpression Id.
    `static int` | `STATIC` RegularExpression Id.
    `static int` | `STRICTFP` RegularExpression Id.
    `static int` | `STRING_LITERAL` RegularExpression Id.
    `static int` | `SUPER` RegularExpression Id.
    `static int` | `SWITCH` RegularExpression Id.
    `static int` | `SYNCHRONIZED` RegularExpression Id.
    `static int` | `THIS` RegularExpression Id.
    `static int` | `THROW` RegularExpression Id.
    `static int` | `THROWS` RegularExpression Id.
    `static int` | `TILDE` RegularExpression Id.
    `static String[]` | `tokenImage` Literal token values.
    `static int` | `TRANSIENT` RegularExpression Id.
    `static int` | `TRUE` RegularExpression Id.
    `static int` | `TRY` RegularExpression Id.
    `static int` | `VOID` RegularExpression Id.
    `static int` | `VOLATILE` RegularExpression Id.
    `static int` | `WHILE` RegularExpression Id.
    `static int` | `XOR` RegularExpression Id.
    `static int` | `XORASSIGN` RegularExpression Id.

- - ### Field Detail

    - #### EOF

          static final int EOF

      End of File.
      See Also:
        Constant Field Values

    - #### SINGLE_LINE_COMMENT

          static final int SINGLE_LINE_COMMENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FORMAL_COMMENT

          static final int FORMAL_COMMENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MULTI_LINE_COMMENT

          static final int MULTI_LINE_COMMENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ABSTRACT

          static final int ABSTRACT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BOOLEAN

          static final int BOOLEAN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BREAK

          static final int BREAK

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BYTE

          static final int BYTE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CASE

          static final int CASE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CATCH

          static final int CATCH

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CHAR

          static final int CHAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CLASS

          static final int CLASS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CONST

          static final int CONST

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CONTINUE

          static final int CONTINUE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### _DEFAULT

          static final int _DEFAULT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DO

          static final int DO

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DOUBLE

          static final int DOUBLE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ELSE

          static final int ELSE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EXTENDS

          static final int EXTENDS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FALSE

          static final int FALSE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FINAL

          static final int FINAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FINALLY

          static final int FINALLY

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FLOAT

          static final int FLOAT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FOR

          static final int FOR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GOTO

          static final int GOTO

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IF

          static final int IF

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IMPLEMENTS

          static final int IMPLEMENTS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IMPORT

          static final int IMPORT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INSTANCEOF

          static final int INSTANCEOF

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INT

          static final int INT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INTERFACE

          static final int INTERFACE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LONG

          static final int LONG

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NATIVE

          static final int NATIVE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NEW

          static final int NEW

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NULL

          static final int NULL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PACKAGE

          static final int PACKAGE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PRIVATE

          static final int PRIVATE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PROTECTED

          static final int PROTECTED

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PUBLIC

          static final int PUBLIC

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RETURN

          static final int RETURN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SHORT

          static final int SHORT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STATIC

          static final int STATIC

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SUPER

          static final int SUPER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SWITCH

          static final int SWITCH

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SYNCHRONIZED

          static final int SYNCHRONIZED

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### THIS

          static final int THIS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### THROW

          static final int THROW

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### THROWS

          static final int THROWS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TRANSIENT

          static final int TRANSIENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TRUE

          static final int TRUE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TRY

          static final int TRY

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### VOID

          static final int VOID

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### VOLATILE

          static final int VOLATILE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### WHILE

          static final int WHILE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRICTFP

          static final int STRICTFP

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INTEGER_LITERAL

          static final int INTEGER_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DECIMAL_LITERAL

          static final int DECIMAL_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### HEX_LITERAL

          static final int HEX_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BINARY_LITERAL

          static final int BINARY_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### OCTAL_LITERAL

          static final int OCTAL_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### FLOATING_POINT_LITERAL

          static final int FLOATING_POINT_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### HEX_FLOATING_POINT_LITERAL

          static final int HEX_FLOATING_POINT_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EXPONENT

          static final int EXPONENT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### CHARACTER_LITERAL

          static final int CHARACTER_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STRING_LITERAL

          static final int STRING_LITERAL

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### IDENTIFIER

          static final int IDENTIFIER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LETTER

          static final int LETTER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PART_LETTER

          static final int PART_LETTER

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LPAREN

          static final int LPAREN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RPAREN

          static final int RPAREN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LBRACE

          static final int LBRACE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RBRACE

          static final int RBRACE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LBRACKET

          static final int LBRACKET

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RBRACKET

          static final int RBRACKET

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SEMICOLON

          static final int SEMICOLON

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### COMMA

          static final int COMMA

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DOT

          static final int DOT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### AT

          static final int AT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ASSIGN

          static final int ASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LT

          static final int LT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BANG

          static final int BANG

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### TILDE

          static final int TILDE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### HOOK

          static final int HOOK

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### COLON

          static final int COLON

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### EQ

          static final int EQ

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LE

          static final int LE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GE

          static final int GE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### NE

          static final int NE

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SC_OR

          static final int SC_OR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SC_AND

          static final int SC_AND

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### INCR

          static final int INCR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DECR

          static final int DECR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PLUS

          static final int PLUS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MINUS

          static final int MINUS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STAR

          static final int STAR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SLASH

          static final int SLASH

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BIT_AND

          static final int BIT_AND

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### BIT_OR

          static final int BIT_OR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### XOR

          static final int XOR

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### REM

          static final int REM

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LSHIFT

          static final int LSHIFT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### PLUSASSIGN

          static final int PLUSASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### MINUSASSIGN

          static final int MINUSASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### STARASSIGN

          static final int STARASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### SLASHASSIGN

          static final int SLASHASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ANDASSIGN

          static final int ANDASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ORASSIGN

          static final int ORASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### XORASSIGN

          static final int XORASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### REMASSIGN

          static final int REMASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### LSHIFTASSIGN

          static final int LSHIFTASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RSIGNEDSHIFTASSIGN

          static final int RSIGNEDSHIFTASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RUNSIGNEDSHIFTASSIGN

          static final int RUNSIGNEDSHIFTASSIGN

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### ELLIPSIS

          static final int ELLIPSIS

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RUNSIGNEDSHIFT

          static final int RUNSIGNEDSHIFT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### RSIGNEDSHIFT

          static final int RSIGNEDSHIFT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### GT

          static final int GT

      RegularExpression Id.
      See Also:
        Constant Field Values

    - #### DEFAULT

          static final int DEFAULT

      Lexical state.
      See Also:
        Constant Field Values

    - #### IN_FORMAL_COMMENT

          static final int IN_FORMAL_COMMENT

      Lexical state.
      See Also:
        Constant Field Values

    - #### IN_MULTI_LINE_COMMENT

          static final int IN_MULTI_LINE_COMMENT

      Lexical state.
      See Also:
        Constant Field Values

    - #### tokenImage

          static final String[] tokenImage

      Literal token values.

Copyright © 2002-2013 InfoEther. All Rights Reserved.